[gdal-dev] gdal_version seems incorrect in gdal-2.2.3/swig/python/setup.py

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[gdal-dev] gdal_version seems incorrect in gdal-2.2.3/swig/python/setup.py

Kondou, Kentarou
Hello,

In gdal-2.2.3/swig/python/setup.py, gdal_version is observed to be defined not as 2.2.3 but as 2.2.2 as follows:

$ wget http://download.osgeo.org/gdal/2.2.3/gdal-2.2.3.tar.gz
$ grep -d skip -e "2\.2\." gdal-2.2.3/swig/python/*
gdal-2.2.3/swig/python/README.txt: * libgdal (2.2.3 or greater) and header files (gdal-devel)
gdal-2.2.3/swig/python/setup.py:gdal_version = '2.2.2'

Sincerely,
Kentaro Kondo

—————————————————————————————————
Kentaro Kondo


_______________________________________________
gdal-dev mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/gdal-dev
Reply | Threaded
Open this post in threaded view
|

Re: gdal_version seems incorrect in gdal-2.2.3/swig/python/setup.py

Even Rouault-2

On lundi 4 décembre 2017 05:45:44 CET Kondou, Kentarou wrote:

> Hello,

>

> In gdal-2.2.3/swig/python/setup.py, gdal_version is observed to be defined

> not as 2.2.3 but as 2.2.2 as follows:

 

Yes I've noticed this just after the release. This is fixed in the 2.2 branch.

 

Even

 

--

Spatialys - Geospatial professional services

http://www.spatialys.com


_______________________________________________
gdal-dev mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/gdal-dev